Package org.eclipse.net4j.util.io

# Interface IStreamWrapper

All Known Implementing Classes:
  `DelegatingStreamWrapper`, `GZIPStreamWrapper`, `StreamWrapperChain`, `XORStreamWrapper`

public interface IStreamWrapper

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`IStreamWrapper.Factory`

## Method Summary

Modifier and Type
Method
Description
`void`
`finishInputStream(InputStream in)`
`void`
`finishOutputStream(OutputStream out)`
`InputStream`
`wrapInputStream(InputStream in)`
`OutputStream`
`wrapOutputStream(OutputStream out)`

## Method Details

### wrapInputStream

InputStream wrapInputStream(InputStream in) throws IOException

Throws:
  `IOException`

### wrapOutputStream

OutputStream wrapOutputStream(OutputStream out) throws IOException

Throws:
  `IOException`

### finishInputStream

void finishInputStream(InputStream in) throws IOException

Throws:
  `IOException`

### finishOutputStream

void finishOutputStream(OutputStream out) throws IOException

Throws:
  `IOException`